Bug 193649 - HAL daemon crashes when attempting to obtain strlen on a NULL pointer
Summary: HAL daemon crashes when attempting to obtain strlen on a NULL pointer
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hal (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-31 12:18 UTC by Yue Shi Lai
Modified: 2012-06-20 13:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 13:32:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to catch cases with cur->len == 0 (1.06 KB, patch)
2006-05-31 12:18 UTC, Yue Shi Lai
no flags Details | Diff

Description Yue Shi Lai 2006-05-31 12:18:50 UTC
Description of problem:

This is the same issue observed in Fedora Core 3 and Bug 145921. HAL daemon
crashes during initialization. Introducing two

if(cur->len) continue;

in usb_device_pre_process(), usbif_device_pre_process() as have been applied in
later versions of HAL solves the problem (see attached patch).

Version-Release number of selected component (if applicable):

hal-0.4.2-3.EL4

How reproducible:

Everytime

Steps to Reproduce:
1. Boot up the system.
2. Examine the log file.
3.
  
Actual results:

HAL daemon crashes with

kernel: hald[31319]: segfault at 0000000000000000 rip 00002b2f22a77f40 rsp
00007fffffb84048 error 4

Expected results:

HAL should not crash.

Additional info:

Comment 1 Yue Shi Lai 2006-05-31 12:18:50 UTC
Created attachment 130268 [details]
Patch to catch cases with cur->len == 0

Comment 2 John Newbigin 2008-10-07 11:44:16 UTC
Patch works for me on RHEL 4.7

Comment 3 Jiri Pallich 2012-06-20 13:32:28 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.